Bug 85139 - comms/gammu: update to new stable version 1.02.0
Summary: comms/gammu: update to new stable version 1.02.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-19 23:20 UTC by Boris B.Samorodov
Modified: 2005-09-20 18:04 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris B.Samorodov 2005-08-19 23:20:18 UTC
	New stable version 1.02.0 of comms/gammu was released.

Fix: The patch is relative to the port:
	$ cd /usr/ports/comms
	$ patch < gammu.patch



WBR
-- 
bsam--knl0i1YxQwKiRoIYfrKGG9HFCMuGvWPVBQdsw4hD64Wad54Y
Content-Type: text/plain; name="gammu.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="gammu.patch"

diff -ruN gammu.orig/Makefile gammu/Makefile
--- gammu.orig/Makefile	Sat Aug 20 01:46:49 2005
+++ gammu/Makefile	Sat Aug 20 01:48:32 2005
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	gammu
-PORTVERSION=	1.01.0
+PORTVERSION=	1.02.0
 CATEGORIES=	comms
 MASTER_SITES=	http://www.mwiacek.com/zips/gsm/gammu/stable/1_0x/
 
diff -ruN gammu.orig/distinfo gammu/distinfo
--- gammu.orig/distinfo	Sat Aug 20 01:46:49 2005
+++ gammu/distinfo	Sat Aug 20 01:48:03 2005
@@ -1,2 +1,2 @@
-MD5 (gammu-1.01.0.tar.gz) = 1ae9d7d51158c9f0cb5d3b25e7e7e1e1
-SIZE (gammu-1.01.0.tar.gz) = 860546
+MD5 (gammu-1.02.0.tar.gz) = f8d0b2c6cc045891b6d8f0021246a464
+SIZE (gammu-1.02.0.tar.gz) = 906417
How-To-Repeat: 	We have 1.01.0 at the port's tree.
Comment 1 Renato Botelho freebsd_committer 2005-09-06 11:33:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Grabbed.
Comment 2 Renato Botelho freebsd_committer 2005-09-06 13:02:48 UTC
Dear maintainer of FreeBSD port comms/gammu, Boris Samorodov 
<bsam@ipt.ru> send a PR proposing a patch to update the port like you 
can see here:

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/85139

Since I'm here, i propose you the following patch that i made some 
changes to:

o Use PORTDOCS and don't install docs if NOPORTDOCS is set
o use DATADIR macro

--- gammu.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/comms/gammu/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- Makefile	26 Jul 2005 19:41:29 -0000	1.11
+++ Makefile	6 Sep 2005 11:42:42 -0000
@@ -6,7 +6,7 @@
#

PORTNAME=	gammu
-PORTVERSION=	1.01.0
+PORTVERSION=	1.02.0
CATEGORIES=	comms
MASTER_SITES=	http://www.mwiacek.com/zips/gsm/gammu/stable/1_0x/

@@ -16,11 +16,20 @@
MAN1=		gammu.1
USE_GMAKE=	yes
USE_GNOME=	pkgconfig
+USE_REINPLACE=	yes
GNU_CONFIGURE=	yes
WANT_AUTOCONF_VER=259
INSTALLS_SHLIB=	yes

+PORTDOCS=	*
+
CONFIGURE_ARGS=	--disable-bluerfsearch
CONFIGURE_ENV=	CFLAGS="${CFLAGS} -fPIC"

+post-patch:
+.if defined(NOPORTDOCS)
+	@${REINPLACE_CMD} -e 's@ installdocs@@g' \
+		${WRKSRC}/cfg/Makefile.glo
+.endif
+
.include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/comms/gammu/distinfo,v
retrieving revision 1.8
diff -u -r1.8 distinfo
--- distinfo	26 Jul 2005 19:41:29 -0000	1.8
+++ distinfo	6 Sep 2005 11:42:42 -0000
@@ -1,2 +1,2 @@
-MD5 (gammu-1.01.0.tar.gz) = 1ae9d7d51158c9f0cb5d3b25e7e7e1e1
-SIZE (gammu-1.01.0.tar.gz) = 860546
+MD5 (gammu-1.02.0.tar.gz) = f8d0b2c6cc045891b6d8f0021246a464
+SIZE (gammu-1.02.0.tar.gz) = 906417
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/comms/gammu/pkg-plist,v
retrieving revision 1.7
diff -u -r1.7 pkg-plist
--- pkg-plist	26 Jul 2005 19:41:29 -0000	1.7
+++ pkg-plist	6 Sep 2005 11:42:42 -0000
@@ -1,28 +1,11 @@
bin/gammu
-%%DOCSDIR%%/changelog
-%%DOCSDIR%%/copying
-%%DOCSDIR%%/readme.txt
-%%DOCSDIR%%/docs/english/gammu.txt
-%%DOCSDIR%%/docs/english/replace.txt
-%%DOCSDIR%%/docs/italian/gammu.txt
-%%DOCSDIR%%/docs/italian/readme.txt
-%%DOCSDIR%%/docs/gammu.png
-%%DOCSDIR%%/examples/config/gammurc
-%%DOCSDIR%%/examples/config/smsdrc
-%%DOCSDIR%%/examples/config/mysql.sql
-%%DOCSDIR%%/examples/fax/faxreceive
-%%DOCSDIR%%/examples/fax/faxsend
-%%DOCSDIR%%/examples/ppp/data
-%%DOCSDIR%%/examples/ppp/gprs
-%%DOCSDIR%%/examples/ppp/startppp
-%%DOCSDIR%%/examples/ppp/statsppp
-%%DOCSDIR%%/examples/media/aliens.nlm
-%%DOCSDIR%%/examples/media/axelf.txt
-share/gammu/gammu_cs.txt
-share/gammu/gammu_de.txt
-share/gammu/gammu_it.txt
-share/gammu/gammu_pl.txt
-share/gammu/gammu_us.txt
+%%DATADIR%%/gammu_cs.txt
+%%DATADIR%%/gammu_de.txt
+%%DATADIR%%/gammu_es.txt
+%%DATADIR%%/gammu_it.txt
+%%DATADIR%%/gammu_pl.txt
+%%DATADIR%%/gammu_ru.txt
+%%DATADIR%%/gammu_us.txt
libdata/pkgconfig/gammu.pc
lib/libGammu.a
lib/libGammu.so
@@ -122,13 +105,4 @@
@dirrm include/gammu/device/bluetoth
@dirrm include/gammu/device
@dirrm include/gammu
-@dirrm share/gammu
-@dirrm %%DOCSDIR%%/docs/english
-@dirrm %%DOCSDIR%%/docs/italian
-@dirrm %%DOCSDIR%%/docs
-@dirrm %%DOCSDIR%%/examples/config
-@dirrm %%DOCSDIR%%/examples/media
-@dirrm %%DOCSDIR%%/examples/ppp
-@dirrm %%DOCSDIR%%/examples/fax
-@dirrm %%DOCSDIR%%/examples
-@dirrm %%DOCSDIR%%
+@dirrm %%DATADIR%%
Index: files/patch-cfg-Makefile.glo
===================================================================
RCS file: /home/pcvs/ports/comms/gammu/files/patch-cfg-Makefile.glo,v
retrieving revision 1.5
diff -u -r1.5 patch-cfg-Makefile.glo
--- files/patch-cfg-Makefile.glo	26 Jul 2005 19:41:29 -0000	1.5
+++ files/patch-cfg-Makefile.glo	6 Sep 2005 11:42:42 -0000
@@ -1,5 +1,5 @@
---- ../gammu-1.01.0.orig/cfg/Makefile.glo	Tue Apr 12 15:26:08 2005
-+++ cfg/Makefile.glo	Sat Jul  9 22:24:39 2005
+--- cfg/Makefile.glo.orig	Tue Apr 12 10:26:08 2005
++++ cfg/Makefile.glo	Tue Sep  6 08:38:21 2005
@@ -122,7 +122,7 @@
 	@echo Making $<
 	@$(CC) -c $(CFLAGS) -I$(TOPDIR)/common/ $(CPPFLAGS) $*.c -o $*.o
@@ -18,16 +18,32 @@
 	@$(LN) -s libGammu.so.$(SONAME_MAJOR).$(SONAME_MINOR) $(TOPDIR)/common/libGammu.so.$(SONAME_MAJOR)
 	@$(LN) -s libGammu.so.$(SONAME_MAJOR) $(TOPDIR)/common/libGammu.so
 
-@@ -230,7 +230,7 @@
+@@ -225,12 +225,14 @@
+ 	@$(INSTALL) -m 0644 $(TOPDIR)/changelog $(DESTDIR)$(INSTALL_DOC_DIR)
+ 	@$(INSTALL) -m 0644 $(TOPDIR)/readme.txt $(DESTDIR)$(INSTALL_DOC_DIR)
+ 	@$(INSTALL) -m 0644 $(TOPDIR)/copying $(DESTDIR)$(INSTALL_DOC_DIR)
++
++installman:
+ 	@echo Installing man to $(DESTDIR)$(INSTALL_MAN_DIR)
+ 	@$(INSTALL) -m 0755 -d $(DESTDIR)$(INSTALL_MAN_DIR)
 	@$(INSTALL) -m 0644 $(TOPDIR)/docs/docs/english/gammu.1 $(DESTDIR)$(INSTALL_MAN_DIR)
 	@$(RM) $(DESTDIR)$(INSTALL_DOC_DIR)/docs/english/gammu.1
  
-install: uninstall all installdocs installlocales installonly
-+install: uninstall all installdocs installlocales installlibonly
++install: uninstall all installdocs installman installlocales installlibonly
 
 installonly: all
 	@echo Installing binaries to $(DESTDIR)$(INSTALL_BIN_DIR)
-@@ -247,8 +247,7 @@
+@@ -238,7 +240,7 @@
+ 	@$(INSTALL) -m 0755 $(TOPDIR)/gammu/gammu $(DESTDIR)$(INSTALL_BIN_DIR)
+ 
+ installshared: installlib
+-installlib: uninstall makelib installdocs installlocales installlibonly
++installlib: uninstall makelib installman installdocs installlocales installlibonly
+ 
+ installlibonly: shared
+ 	@echo Installing binaries to $(DESTDIR)$(INSTALL_BIN_DIR)
+@@ -247,8 +249,7 @@
 
 	@echo Installing shared library to $(DESTDIR)$(INSTALL_LIB_DIR)
 	@$(INSTALL) -m 0755 -d $(DESTDIR)$(INSTALL_LIB_DIR)
@@ -37,7 +53,7 @@
 	@$(LN) -s libGammu.so.$(SONAME_MAJOR) $(DESTDIR)$(INSTALL_LIB_DIR)/libGammu.so
  
 	@echo Installing static library to $(DESTDIR)$(INSTALL_LIB_DIR)
-@@ -267,8 +266,8 @@
+@@ -267,8 +268,8 @@
 	@$(INSTALL) -m 0644 cfg/config.h $(DESTDIR)$(INSTALL_H_DIR)/config.h
 
 	@echo Installing pkgconfig file
--- gammu.patch ends here ---

Do you approve this?
Comment 3 Renato Botelho freebsd_committer 2005-09-06 13:05:32 UTC
State Changed
From-To: open->feedback

Ask maintainer for approval
Comment 4 Renato Botelho freebsd_committer 2005-09-20 18:04:09 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!